summaryrefslogtreecommitdiff
path: root/t/lisp-pr11806.sh
diff options
context:
space:
mode:
authorJack Kelly <jack@jackkelly.name>2012-07-05 18:50:37 +0200
committerStefano Lattarini <stefano.lattarini@gmail.com>2012-07-06 09:32:36 +0200
commit0451b0bc8bc991dc4f19d43a7aad82a0a509758e (patch)
treec0628273fd6d3eeee9ecc51ed398edb29a7a74e8 /t/lisp-pr11806.sh
parent6eefb0a0bcce8c474fe10e7d4e5ace0e2ce57253 (diff)
downloadautomake-0451b0bc8bc991dc4f19d43a7aad82a0a509758e.tar.gz
lisp: better support of VPATH builds
Fixes automake bug#11806. * lib/am/lisp.am: Pass the value of '$(abs_srcdir)' to the elisp-compile script in the environment. * lib/elisp-comp: Add the vale of '$abs_srcdir' to the emacs load-path. * t/lisp-pr11806.sh: New test. * t/list-of-tests.mk: Add it. Copyright-paperwork-exempt: yes Co-authored-by: Stefano Lattarini <stefano.lattarini@gnu.org> Reported-by: Makoto Fujiwara <makoto@ki.nu> Signed-off-by: Stefano Lattarini <stefano.lattarini@gmail.com>
Diffstat (limited to 't/lisp-pr11806.sh')
-rwxr-xr-xt/lisp-pr11806.sh51
1 files changed, 51 insertions, 0 deletions
diff --git a/t/lisp-pr11806.sh b/t/lisp-pr11806.sh
new file mode 100755
index 000000000..c372ea5db
--- /dev/null
+++ b/t/lisp-pr11806.sh
@@ -0,0 +1,51 @@
+#! /bin/sh
+# Copyright (C) 2012 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+# Compiling .el files that requires each other in a VPATH build.
+# See automake bug#11806.
+
+required=emacs
+. ./defs || exit 1
+
+cat >> configure.ac << 'END'
+AM_PATH_LISPDIR
+AC_OUTPUT
+END
+
+cat > Makefile.am << 'END'
+lisp_LISP = foo.el
+lisp_DATA = bar.el
+END
+
+echo "(require 'bar)" > foo.el
+echo "(provide 'bar)" > bar.el
+
+$ACLOCAL
+$AUTOCONF
+$AUTOMAKE -a
+
+mkdir build
+cd build
+../configure
+$MAKE
+test -f foo.elc
+cd ..
+
+./configure
+$MAKE
+test -f foo.elc
+
+: